Subject: Re: bug#17971: 24.3.92; Patch to fix el compression on RHEL/CentOS 7

From: Stephen Hassard <[email-masked]>
Date: Tue, 8 Jul 2014 21:16:50 -0700

For fun I built a copy of findutils-4.5.12 from alpha.gnu.org and found
that it's suffering the same regression as CentOS's bundled find.

On Tue, Jul 8, 2014 at 9:07 PM, Stephen Hassard <[email-masked]> wrote:

> It's definitely a regression in CentOS7 vs 6.5. I've built a new 6.5 VM
> and have confirmed that it compresses the .el files without problem.
>
> It seems to be a regression in the bundled findutils. I've pulled in the
> find binary from CentOS 6.5 onto my CentOS 7 VM and the 'make install'
> process completed without problems with the old find.
>
> The version are:
>
> CentOS 7:
> findutils-4.5.11-3
>
> CentOS 6.5:
> findutils-4.4.2-6
>
>
>
>
> On Tue, Jul 8, 2014 at 6:10 PM, Glenn Morris <[email-masked]> wrote:
>
>> Stephen Hassard wrote:
>>
>> > Here's the relevant output from the 'make install' on CentOS 7:
>> >
>> > ----
>> > [ -z "/usr/bin/gzip" ] || { \
>> >   echo "Compressing *.el ..." && \
>> >   cd "/home/shassard/opt/emacs/share/emacs/24.3.92/lisp" && \
>> >   find . -name '*.elc' -exec /bin/sh -c \
>> >     '/usr/bin/gzip -9n `expr "$1" : "\\(.*\\)c"`' dummy '{}' ';'; \
>> > }
>> > Compressing *.el ...
>> > find: './progmodes/make-mode.el': No such file or directory
>>
>> Do you know why this happens?
>> What has changed since RHEL6, where it works fine?
>>
>> > I've attached a revised patch that adds the -9n flag to the gzip command
>> > and switch back to -exec for find.
>>
>> This fails if DESTDIR contains spaces.
>>
>
>